<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class AttackCharm extends Translate
{
    protected string $typeKey = 'AttackCharm';

    public function getStructure(): array
    {
        return [
            'rune_type' => 'int32',
            'min_weapon_level' => 'int32',
            'max_weapon_level' => 'int32',
            'damage_increase' => 'int32',
        ];
    }

    public function getMinimumLength(): int
    {
        return 15;
    }
}